TAAS - Feature #208

Petty Cash Reimbursement
06/27/2023 08:51 PM - Junaid M

Status: Reopen Bugs Coding Done Start date: 06/27/2023
Priority: Normal Due date:

Assignee: Augustin Jose % Done: 70%
Category: Estimated time: 0:00 hour
Target version: 22.12 Spent time: 0:00 hour
Owner(Agency): Travvise Tested By: unnikannan S
Time Taken(HH): Code Reviewed By:

Module: Petty Cash Reimbursement

Description

Coding Petty Cash Reimbursement

History

#1 - 07/07/2023 11:20 AM - Junaid M

- Assignee changed from travvise Admin to Amal Pious

#2 - 07/07/2023 12:39 PM - Anil KV
Old Work Flow - NOT USE

Search Popup load master data in filter options
Payable = Credit - Debit
Balance = Payable - Paid Amount

No Transaction/Posting
Search SQL

O J o U W N

SELECT tr.pk_transaction_id,
tr.fk_branch_id,
tr.fk_department_id,
tr.fk_ledger_id,
tr.dat_transaction,
tr.vhr_ledg_currency,
tr.dbl_ledg_cur_debit,
tr.dbl_ledg_cur_credit,
tr.dbl_ledg_cur_outstanding,
tr.dbl_ledg_cur_reserved_amount,
tr.vhr_base_currency,

tr.dbl_base_cur_debit,
tr.dbl_base_cur_credit,
tr.dbl_base_cur_outstanding,
tr.dbl_base_cur_reserved_amount,
tr.vhr_cons_currency,
tr.dbl_cons_cur_debit,
tr.dbl_cons_cur_credit,
tr.dbl_cons_cur_outstanding,
tr.dbl_cons_cur_reserved_amount,
tr.int_record_ref_no,
tr.vhr_reference,
tr.txt_narration,
doc.pk_documents_id,
doc.vhr_document_no
FROM transaction.tbl_transaction tr
LEFT JOIN document.tbl_documents AS doc
ON doc.pk_documents_id= tr.fk_documents_id
WHERE tr.sin_posting_status = 1
AND tr.sin_document_status = 1
AND tr.sin_transaction_status = 1
AND dbl_ledg_cur_reserved_amount ==
table - cashmanagement.tbl_petty_reimbursement -> Document and

Petty cash account should not change master and search
Load only Petty cash Accounts (Cash Type = Petty cash)

Transaction table also

1/7




AND coo
ORDER BY tr.dat_transaction

9) Save Case
—> Check Any update the transaction record - if deleted the transaction record(Remove another user), Amount in

valid- Outstanding Amount != each amount (Update another user) etc..

—-> Update transaction table vhr_record_ref_doc_no, int_record_ref_ no (Sequence No), _reserved_amount (3-Outstand
ing Amount) and *sin_re_store_record = 1*

->

10) Update Case
-> insert log table
—> Update Document table
—> Delete a Item then
- Check the amount have in outstanding field
— Restore all values in transaction table vhr_record_ref_doc_no, int_record_ref_no (Sequence No), _reserved_
amount (3) - Outstanding Amount and *sin_re_store_record = 0*
-> Check Any update the transaction record - if deleted the transaction record(Remove another user), Amount in

valid- Outstanding Amount != each amount (Update another user) etc..
—-> Update transaction table vhr_record_ref_doc_no, int_record_ref_no (Sequence No), _reserved_amount (3) - Outst
anding Amount and *sin_re_store_record = 1*

—> Delete previous Petty Reimbursement Data and Insert in cashmanagement.tbl_petty_reimbursement

11) Delete Case

—> Check Payment is Done then not allwed to delete

-> insert data to log table

->Each Item wise checking in transaction table

— Check the amount have in outstanding field

— Restore all values in transaction table vhr_record_ref_doc_no, int_record_ref_no (Sequence No), _reserved_am
ount (3) - Outstanding Amount and *sin_re_store_record = 0*

—> Remove cashmanagement.tbl_petty_reimbursement and Document table

—> Set delete status in document table

12) Get Saved Data

SELECT pcr.pk_petty_reimbursement_id,
pcr.fk_documents_id,
pcr.int_record_ref_no,
tr.pk_transaction_id,
tr.fk_branch_id,
tr.fk_department_id,
tr.fk_ledger_id,
tr.dat_transaction,
tr.vhr_ledg_currency,
tr.dbl_ledg_cur_debit,
tr.dbl_ledg_cur_credit,
pcr.dbl_ledg_cur_amount AS dbl_ledg_cur_outstanding,
tr.dbl_ledg_cur_reserved_amount,
tr.vhr_base_currency,
tr.dbl_base_cur_debit,
tr.dbl_base_cur_credit,
pcr.dbl_base_cur_amount AS dbl_base_cur_outstanding,
tr.dbl_base_cur_reserved_amount,
tr.vhr_cons_currency,
tr.dbl_cons_cur_debit,
tr.dbl_cons_cur_credit,
tr.dbl_cons_cur_outstanding,
tr.dbl_cons_cur_reserved_amount,
tr.int_record_ref_no,
tr.vhr_reference,
tr.txt_narration,
doc.pk_documents_id,
doc.vhr_document_no
FROM cashmanagement.tbl_petty_reimbursement pcr
INNER JOIN transaction.tbl_transaction tr
ON tr.int_record_ref_no = pcr.int_record_ref_no
AND tr.vhr_record_ref_doc_no = 'PTC/001'
LEFT JOIN document.tbl_documents AS doc
ON doc.pk_documents_id= tr.fk_documents_id
WHERE pcr.fk_documents_id = 1
ORDER BY tr.dat_transaction

#3 - 07/07/2023 06:03 PM - Anil KV

- Status changed from New to Open
- % Done changed from 0 to 10

#4 - 07/08/2023 12:58 PM - Anil KV

New Work Folow

1) Tables —-> document.tbl_documents (Master Table), transaction.tbl_transaction_references (Details Table) and t
ransaction.tbl_transaction
2) Model -> MdlTransactionReferences in TransactionModels.cs and Document Models
3) Search SQL
SELECT tr.pk_transaction_id,
tr.fk_branch_id,
tr.fk_department_id,
tr.fk_ledger_id,
tr.dat_transaction,
tr.vhr_ledg_currency,
tr.dbl_ledg_cur_roe,
tr.dbl_ledg_cur_debit,
tr.dbl_ledg_cur_credit,
tr.dbl_ledg_cur_outstanding,
tr.dbl_ledg_cur_reserved_amount,
tr.vhr_base_currency,
tr.dbl_base_cur_debit,
tr.dbl_base_cur_credit,
tr.dbl_base_cur_outstanding,
tr.dbl_base_cur_reserved_amount,
tr.vhr_cons_currency,
tr.dbl_cons_cur_roe,
tr.dbl_cons_cur_debit,
tr.dbl_cons_cur_credit,
tr.dbl_cons_cur_outstanding,
tr.dbl_cons_cur_reserved_amount,
tr.int_record_ref_no,
tr.vhr_reference,
tr.txt_narration,
doc.pk_documents_id,
doc.vhr_document_no
FROM transaction.tbl_transaction tr
LEFT JOIN document.tbl_documents AS doc
ON doc.pk_documents_id= tr.fk_documents_id
WHERE tr.sin_posting_status =1
AND tr.sin_document_status = 1
AND tr.sin_transaction_status = 1
AND dbl_ledg_cur_outstanding > 0
AND
ORDER BY tr.dat_transaction

- dblRefDocLedgCurAmount = dbl_ledg_cur_outstanding
— dbl_ledg_cur_reserved_amount = dblRefDocLedgCurAmount

4) Edited Amount <= Outstanding Amount

5) Load Doc

SELECT tf.pk_transaction_references_id,
tf.fk_record_ref_doc_id,
tf.vhr_record_ref_doc_no,
tf.int_record_ref_doc_sequence_no,
tf.str_record_ref_doc_type,
tf.sin_re_store_record,
tf.dbl_ref_doc_ledg_cur_debit + tf.dbl_ref_doc_ledg_cur_credit AS dbl_ref_doc_ledg_cur_amount,
tf.dbl_ledg_cur_reserved_amount,
tf.dbl_base_cur_reserved_amount,
tf.vhr_ref_doc_cons_currency,
tf.dbl_cons_cur_reserved_amount,
tr.pk_transaction_id,
tr.fk_branch_id,
tr.fk_department_id,
tr.fk_ledger_id,
tr.dat_transaction,
tr.vhr_ledg_currency,
tr.dbl_ledg_cur_roe,
tr.dbl_ledg_cur_debit,
tr.dbl_ledg_cur_credit,
tr.dbl_ledg_cur_outstanding,
tr.vhr_base_currency,
tr.dbl_base_cur_debit,
tr.dbl_base_cur_credit,
tr.dbl_base_cur_outstanding,
tr.vhr_cons_currency,
tr.dbl_cons_cur_roe,
tr.dbl_cons_cur_debit,
tr.dbl_cons_cur_credit,
tr.dbl_cons_cur_outstanding,
tr.vhr_reference,
tr.txt_narration,
doc.pk_documents_id,
doc.vhr_document_no
FROM transaction.tbl_transaction_references tf
INNER JOIN transaction.tbl_transaction tr
ON tf.fk_transaction_id = tr.pk_transaction_id
LEFT JOIN document.tbl_documents AS doc
ON tr.fk_documents_id = doc.pk_documents_id
WHERE tf.fk_record_ref_doc_id =1
ORDER BY tr.dat_transaction

6) Posting - Total Amount
Petty Cash *** Dr
Petty Cash *** Cr

7) Internal Matching the Doc Dr and Selected docs and Inter Matching Selected Docs Dr and Cr
—-Pending

8) Get Matched Document and Amount -> Document Cr Side matched Against Doc and Amount
—-Pending

#5 - 07/10/2023 09:20 PM - Amal Pious
- Status changed from Open to Coding Started
- % Done changed from 10 to 40

#6 - 09/04/2023 10:07 AM - Amal Pious
- Status changed from Coding Started to Particialy Coding Done

#7 - 09/19/2023 04:59 PM - Seema Mathew

- Status changed from Particialy Coding Done to Reopen Bugs
- % Done changed from 40 to 50

- Tested By set to Seema Mathew

ISSUE FOUNDED****
1.SAVING ERROR
2.ADDED PETTY CASH CLEARING FROM UI

#8 - 09/23/2023 07:07 PM - Amal Pious
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#9 - 09/25/2023 04:55 PM - Seema Mathew
3. CALCULATION ERROR IN OUTSTANDING AMT, BALANCE AMOUNT

4.NOT CLEARING DOCUMENT NO WHILE CLICKING NEW TAB, MISSING DATAS WHILE CHOOSING EDIT MODE FROM DOCUMENT
SEARCH

#10 - 09/25/2023 04:59 PM - Seema Mathew
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 60 to 50

#11 - 09/25/2023 05:01 PM - unnikannan S
Seema Mathew wrote in #note-9:

3. CALCULATION ERROR IN OUTSTANDING AMT, BALANCE AMOUNT

4.NOT CLEARING DOCUMENT NO WHILE CLICKING NEW TAB, MISSING DATAS WHILE CHOOSING EDIT MODE FROM DOCUMENT
SEARCH
5.ERROR WHILE CLEARING DATE AND SAVE
6.SHOWING AMOUNT IN QAR,AND USD WHILE SWITCHING INTO NEW TAB

#12 - 09/26/2023 07:45 PM - Amal Pious
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#13 - 09/27/2023 12:33 PM - Seema Mathew

testing done

#14 - 12/18/2023 12:59 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By changed from Seema Mathew to unnikannan S

ISSUE FOUNDED

1.RE-DIRECT ISSUE NOT FIXED

2.ADD MANDATORY FIELDS IN DOC AND POSTING STATUS AND CHANGE TO BY:

3.ERROR WHILE DELETING DOCUMENT (42883: procedure sp_delete_document(bigint, integer, bigint, character varying[], unknown) does not
exist)

4.SHOW PAID AMOUNT AND BALANCE IN UI

5.ADD A RESPONSIBLE ACCOUNT FIELD IN DROP DOWN

6.ADD INFO MESSAGE AS BLUE

7.MISSING PETTY CASH A/C ADDED IN SEARCH FIELD NOT SHOWN IN Ul

8.CHANGE ERROR MESSAGE TO SELECT ANY PETTY CASH A/C FOR REIMBURSE

#15 - 12/27/2023 10:39 AM - Anil KV

- Assignee changed from Amal Pious to Aparna Mathew

#16 - 12/28/2023 10:54 AM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 60

#17 - 01/03/2024 09:49 AM - unnikannan S
TESTING DONE

#18 - 03/11/2024 12:54 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUNDED

1.MISSING PETTY CASH CURRENCY CODE
2.CONSIDER OUTSTANDING AMOUNT AFTER MATCHED

#19 - 03/11/2024 04:40 PM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#20 - 03/12/2024 03:31 PM - unnikannan S
TESTING DONE

#21 - 03/12/2024 03:32 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50
ISSUE FOUNDED

1.MISSING PRECISION VALUE WHILE RELOADING DOC
2.CLEAR UNDER SCORE FROM DELETED INFO MESSAGE

#22 - 03/13/2024 02:20 PM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#23 - 04/09/2024 02:03 PM - unnikannan S
TESTING DONE

#24 - 04/09/2024 02:05 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 70 to 50

ISSUE FOUNDED

1.Error On Save (42703: column tf.int_record_ref_doc_sequence_no does not exist)

#25 - 04/12/2024 06:21 PM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#26 - 04/13/2024 11:25 AM - unnikannan S

- File clipboard-202404131125-rglgr.png added

- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

#27 - 04/13/2024 03:08 PM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#28 - 04/13/2024 04:52 PM - unnikannan S
TESTING DONE

#29 - 09/06/2024 02:37 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUNDED
1.Allowing Save Without Data In The List
#30 - 09/11/2024 03:40 PM - Aparna Mathew

- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#31 - 09/11/2024 05:11 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Testing Done

- % Done changed from 70 to 90

#32 - 10/10/2024 07:00 PM - unnikannan S
- Status changed from Testing Done to Reopen Bugs

- % Done changed from 90 to 50

ISSUE FOUNDED
1.Not Showing Print

#33 - 10/18/2024 09:50 AM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#34 - 12/20/2024 12:06 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs Testing Done

- % Done changed from 70 to 90

#35 - 01/02/2025 03:38 PM - Arathy PS

- Assignee changed from Aparna Mathew to Augustin Jose

#36 - 04/05/2025 10:55 AM - Arathy PS
- File clipboard-202504051054-0t5rz.png added
- Status changed from Reopen Bugs Testing Done to Reopen Bugs

- % Done changed from 90 to 50

ISSUE FIXED

Petty Cash Reimbursement

If Year End has been done once i that year, then any modification such as (Edit, Delete, Create) are not allowed. In case Any madification is to be needed.then you have to Open the Finacial Year in Open Finacial Year End Module.Once the modification is done in the Open Financial X

Year you have to do Year End again.

Document No Date* | 05/04/2025 (0] Branch®  BROO1: Main
Petty Cash Account vy Department” | ppoQ1: Account
Responsible User = Cash Counter
Remarks Reference
/
Document Status® | Active ~ By Payment Docs
Posting Status” | Active v By paid Amount 0.00
Created By: Total Debit 0.00
Modified By: Net Outstanding  0.00
Q search
# Date Doc No Debit Credit Outstanding Amount Reference Narration
No dat:

2.In the search pop up add an expand/collapse in the filter section.
3. Increase the height of the grid a little bit.

#37 - 04/07/2025 05:31 PM - Augustin Jose
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

Balance 0.00
Total Credit 0.00

Payable Amount  0.00

Created By

Files

clipboard-202404131125-rglgr.png 228 KB 04/13/2024 unnikannan S

clipboard-202504051054-0t5rz.png 116 KB 04/05/2025 Arathy PS
